Skip to main content
GET
/
engine
/
v2
/
publisher
/
{publisher_id}
/
items
Get Publisher Items
curl --request GET \
  --url https://platform.ai.gloo.com/engine/v2/publisher/{publisher_id}/items \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://platform.ai.gloo.com/engine/v2/publisher/{publisher_id}/items"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ai.gloo.com/engine/v2/publisher/{publisher_id}/items', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "item_id": "<string>",
      "status": "<string>",
      "producer_id": "<string>",
      "item_title": "<string>",
      "filename": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "type": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total": 123,
    "total_pages": 123
  }
}
{
  "detail": {
    "code": "Invalid publisher ID format",
    "message": "Publisher ID must be a valid UUID format",
    "publisher_id": "not-a-uuid"
  }
}
{
  "authorized": false,
  "detail": "Not authorized to access this publisher"
}
{
  "authorized": false,
  "detail": "Organization not found"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
{
  "detail": {
    "code": "Internal server error",
    "message": "Failed to retrieve items for publisher",
    "publisher_id": "550e8400-e29b-41d4-a716-446655440000"
  }
}

Error Reference: Content Controls

Common errors: invalid item or publisher IDs, missing producer IDs, item not found, insufficient permissions.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

publisher_id
string<uuid>
required

Query Parameters

page
integer
default:1

Page number (1-indexed).

Required range: x >= 1
page_size
integer
default:100

Number of items per page (max 1000).

Required range: 1 <= x <= 1000

Response

Successful Response

items
ItemFromPublisher · object[]
required
pagination
PaginationInfo · object
required